import numpy as np
from numba import vectorize

@vectorize('float32(float32, float32)', target='cuda')
def add(a, b):
  return a + b

if __name__ == '__main__':
  n = 1_000_000
  a = np.ones(n, dtype=np.float32)*2
  b = np.ones(n, dtype=np.float32)*3

  b = add(a, b)

  if all([x == 5. for x in b]):
    print('Success!')
  else: print('Failure :(')